#ifndef JAGGPU_H
#define JAGGPU_H

/* loads up the GPU program pointed to by "gpuprog" */
/* the first 2 longs are assumed to be the start and end */
/* addresses, respectively */
void GpuLoad(long *gpuprog);

/* execute a GPU program, starting at the given address */
/* in GPU ram, and wait for it to complete */
void GpuRun(void (*gpuenter)());

#endif
