#include "jaguar.h"
#include "jagobj.h"

void ObjCreateBitmap(ObjPhrase *obj, unsigned int ypos,
                     unsigned int height, ObjPhrase *next_addr, void *data,
		     unsigned int xpos, unsigned long depth,
                     unsigned long pitch, unsigned int dwidth,
                     unsigned int iwidth, unsigned int index,
                     unsigned long reflect, unsigned long rmw,
                     unsigned long trans, unsigned long release,
                     unsigned int firstpix)
{  unsigned long p, d;

   p = ((unsigned long)next_addr) >> 3;
   d = ((unsigned long)data) >> 3;
   /* Phrase 1 */
   obj[0].low_long  = BITOBJ |
                      ((unsigned long)ypos << 3) |
                      ((unsigned long)height << 14) |
                      (p << 24);
   obj[0].high_long = (p >> 8) | (d << 11);
   /* Phrase 2 */
   obj[1].low_long  = (unsigned long)xpos |
                      depth |
                      pitch |
                      ((unsigned long)dwidth << 18) |
                      ((unsigned long)iwidth << 28);
   obj[1].high_long = ((unsigned long)iwidth >> 4) |
                      (unsigned long)index |
                      reflect |
                      rmw |
                      trans |
                      release |
                      (unsigned long)firstpix;
}
